Subject: Re: [PATCH] PPC/PPC64: Introduce CPU_HAS_FEATURE() macro

From: Arnd Bergmann <[email-masked]>
Date: Fri, 4 Feb 2005 19:57:06 +0100

On Freedag 04 Februar 2005 19:35, Olof Johansson wrote:
> pSeries will need all cpus enabled since we have them all on various
> machines, etc. I guess Powermac/Maple could benefit from it.

Even on pSeries, we already have CONFIG_POWER4_ONLY, which could be
used to optimize away some of the checks at compile time.

I think it makes sense to extend this a bit to look more like the CPU
selection on i386 or s390 where can set the oldest CPU you want to
support. This also fits nicely with the gcc -mcpu= options.

> In the end it depends on how hairy the implementation would get vs 
> performance improvement.

Fortunately, that optimization should be easy to do on top of your
patch, so we don't have to decide now.

	Arnd <><